<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Wed Nov 02 00:10:31 IST 2022 -->
<title>Class Hierarchy</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-11-02">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="tree-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="nav-bar-cell1-rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#tree">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="package-hierarchy-label">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/example/demo/package-tree.html">com.example.demo</a>, </li>
<li><a href="com/example/demo/controller/package-tree.html">com.example.demo.controller</a>, </li>
<li><a href="com/example/demo/model/package-tree.html">com.example.demo.model</a>, </li>
<li><a href="com/example/demo/repository/package-tree.html">com.example.demo.repository</a>, </li>
<li><a href="com/example/demo/service/package-tree.html">com.example.demo.service</a>, </li>
<li><a href="com/example/demo/webconfig/package-tree.html">com.example.demo.webconfig</a></li>
</ul>
</div>
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">com.example.demo.controller.<a href="com/example/demo/controller/AdminPController.html" class="type-name-link" title="class in com.example.demo.controller">AdminPController</a></li>
<li class="circle">com.example.demo.service.<a href="com/example/demo/service/CustomUserDetails.html" class="type-name-link" title="class in com.example.demo.service">CustomUserDetails</a> (implements org.springframework.security.core.userdetails.UserDetails)</li>
<li class="circle">com.example.demo.service.<a href="com/example/demo/service/CustomUserDetailsService.html" class="type-name-link" title="class in com.example.demo.service">CustomUserDetailsService</a> (implements org.springframework.security.core.userdetails.UserDetailsService)</li>
<li class="circle">com.example.demo.<a href="com/example/demo/GreenGroceryApplication.html" class="type-name-link" title="class in com.example.demo">GreenGroceryApplication</a></li>
<li class="circle">com.example.demo.webconfig.<a href="com/example/demo/webconfig/PasswordEncoder.html" class="type-name-link" title="class in com.example.demo.webconfig">PasswordEncoder</a></li>
<li class="circle">com.example.demo.<a href="com/example/demo/ProductRepositoryTests.html" class="type-name-link" title="class in com.example.demo">ProductRepositoryTests</a></li>
<li class="circle">com.example.demo.model.<a href="com/example/demo/model/Products.html" class="type-name-link" title="class in com.example.demo.model">Products</a></li>
<li class="circle">com.example.demo.<a href="com/example/demo/ProductsTest.html" class="type-name-link" title="class in com.example.demo">ProductsTest</a></li>
<li class="circle">com.example.demo.model.<a href="com/example/demo/model/User.html" class="type-name-link" title="class in com.example.demo.model">User</a></li>
<li class="circle">com.example.demo.controller.<a href="com/example/demo/controller/UserController.html" class="type-name-link" title="class in com.example.demo.controller">UserController</a></li>
<li class="circle">com.example.demo.<a href="com/example/demo/UserRepositoryTests.html" class="type-name-link" title="class in com.example.demo">UserRepositoryTests</a></li>
<li class="circle">com.example.demo.webconfig.<a href="com/example/demo/webconfig/WebSecurityConfig.html" class="type-name-link" title="class in com.example.demo.webconfig">WebSecurityConfig</a></li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,<wbr>ID&gt;)
<ul>
<li class="circle">com.example.demo.repository.<a href="com/example/demo/repository/ProductRepository.html" class="type-name-link" title="interface in com.example.demo.repository">ProductRepository</a></li>
<li class="circle">com.example.demo.repository.<a href="com/example/demo/repository/UserRepository.html" class="type-name-link" title="interface in com.example.demo.repository">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.example.demo.repository.<a href="com/example/demo/repository/ProductRepository.html" class="type-name-link" title="interface in com.example.demo.repository">ProductRepository</a></li>
<li class="circle">com.example.demo.repository.<a href="com/example/demo/repository/UserRepository.html" class="type-name-link" title="interface in com.example.demo.repository">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
